apiVersion: apps/v1
kind: Deployment
metadata:
  name: my-nginx-2
  namespace: my-nginx-2
spec:
  selector:
    matchLabels:
      run: my-nginx-2
  replicas: 2
  template:
    metadata:
      labels:
        run: my-nginx-2
    spec:
      containers:
      - name: my-nginx-2
        image: nginx
        ports:
        - containerPort: 80
